Bug 1642570 - Review Request: rclone-browser - Simple cross platform GUI for rclone
Summary: Review Request: rclone-browser - Simple cross platform GUI for rclone
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-24 17:00 UTC by Robert-André Mauchin
Modified: 2018-11-13 02:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-13 02:14:04 UTC
jdieter: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 2018-10-24 17:00:14 UTC
Spec URL: https://eclipseo.fedorapeople.org/rclone/rclone-browser.spec
SRPM URL: https://eclipseo.fedorapeople.org/rclone/rclone-browser-1.2-1.fc30.src.rpm

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=30439762

Description:
Simple cross platfrom GUI for rclone command line tool.

Features:
 - Allows to browse and modify any rclone remote, including encrypted ones
 - Uses same configuration file as rclone, no extra configuration required
 - Supports custom location and encryption for .rclone.conf configuration file
 - Simultaneously navigate multiple repositories in separate tabs
 - Lists files hierarchically with file name, size and modify date
 - All rclone commands are executed asynchronously, no freezing GUI
 - File hierarchy is lazily cached in memory, for faster traversal of folders
 - Allows to upload, download, create new folders, rename or delete files and
   folders
 - Allows to calculate size of folder, export list of files and copy rclone
   command to clipboard
 - Can process multiple upload or download jobs in background
 - Drag & drop support for dragging files from local file explorer for
   uploading
 - Streaming media files for playback in player like mpv or similar
 - Mount and unmount folders on macOS and GNU/Linux
 - Optionally minimizes to tray, with notifications when upload/download
   finishes
 - Supports portable mode (create .ini file next to executable with same 
   name), rclone and .rclone.conf path now can be relative to executable

Fedora Account System Username: eclipseo

Comment 1 Jonathan Dieter 2018-10-24 20:08:27 UTC
I'll take this.  Thanks for your review of duperemove!

Comment 2 Robert-André Mauchin 2018-10-24 21:35:31 UTC
Thank you!

Comment 3 Jonathan Dieter 2018-10-24 22:34:09 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
None

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license. 
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
     I'm not actually using rclone, but rclone-browser starts up just fine
     and looks like it should work.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
     See https://koji.fedoraproject.org/koji/taskinfo?taskID=30443650
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: If a package contains a GUI application, then it SHOULD also install a
     .appdata.xml file into %{_metainfodir}
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rclone-browser-1.2-1.fc30.x86_64.rpm
          rclone-browser-debuginfo-1.2-1.fc30.x86_64.rpm
          rclone-browser-debugsource-1.2-1.fc30.x86_64.rpm
          rclone-browser-1.2-1.fc30.src.rpm
rclone-browser.x86_64: W: spelling-error %description -l en_US platfrom -> platform, plat from, plat-from
rclone-browser.x86_64: W: spelling-error %description -l en_US conf -> con, cone, cons
rclone-browser.x86_64: W: spelling-error %description -l en_US mpv -> mp, mpg, mph
rclone-browser.x86_64: W: spelling-error %description -l en_US unmount -> unmounted, mount, Mount
rclone-browser.x86_64: W: spelling-error %description -l en_US macOS -> ma Cos, mac OS, mac-OS
rclone-browser.x86_64: W: spelling-error %description -l en_US ini -> uni, in, ii
rclone-browser.x86_64: W: no-manual-page-for-binary rclone-browser
rclone-browser.src: W: spelling-error %description -l en_US platfrom -> platform, plat from, plat-from
rclone-browser.src: W: spelling-error %description -l en_US conf -> con, cone, cons
rclone-browser.src: W: spelling-error %description -l en_US mpv -> mp, mpg, mph
rclone-browser.src: W: spelling-error %description -l en_US unmount -> unmounted, mount, Mount
rclone-browser.src: W: spelling-error %description -l en_US macOS -> ma Cos, mac OS, mac-OS
rclone-browser.src: W: spelling-error %description -l en_US ini -> uni, in, ii
4 packages and 0 specfiles checked; 0 errors, 13 warnings.




Rpmlint (debuginfo)
-------------------
Checking: rclone-browser-debuginfo-1.2-1.fc30.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
rclone-browser.x86_64: W: spelling-error %description -l en_US platfrom -> platform, plat from, plat-from
rclone-browser.x86_64: W: spelling-error %description -l en_US conf -> con, cone, cons
rclone-browser.x86_64: W: spelling-error %description -l en_US mpv -> mp, mpg, mph
rclone-browser.x86_64: W: spelling-error %description -l en_US unmount -> unmounted, mount, Mount
rclone-browser.x86_64: W: spelling-error %description -l en_US macOS -> ma Cos, mac OS, mac-OS
rclone-browser.x86_64: W: spelling-error %description -l en_US ini -> uni, in, ii
rclone-browser.x86_64: W: no-manual-page-for-binary rclone-browser
3 packages and 0 specfiles checked; 0 errors, 10 warnings.



Requires
--------
rclone-browser-debuginfo (rpmlib, GLIBC filtered):

rclone-browser-debugsource (rpmlib, GLIBC filtered):

rclone-browser (rpmlib, GLIBC filtered):
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.11)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rclone
    rtld(GNU_HASH)



Provides
--------
rclone-browser-debuginfo:
    debuginfo(build-id)
    rclone-browser-debuginfo
    rclone-browser-debuginfo(x86-64)

rclone-browser-debugsource:
    rclone-browser-debugsource
    rclone-browser-debugsource(x86-64)

rclone-browser:
    application()
    application(rclone-browser.desktop)
    metainfo()
    metainfo(rclone-browser.appdata.xml)
    rclone-browser
    rclone-browser(x86-64)

Comment 4 Jonathan Dieter 2018-10-24 22:34:56 UTC
This package is APPROVED!

Comment 5 Gwyn Ciesla 2018-10-25 13:12:31 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rclone-browser

Comment 6 Fedora Update System 2018-10-25 14:12:55 UTC
rclone-browser-1.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-98377e2c58

Comment 7 Fedora Update System 2018-10-25 14:13:34 UTC
rclone-browser-1.2-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-743780f598

Comment 8 Fedora Update System 2018-10-25 14:14:28 UTC
rclone-browser-1.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-41e0689cfb

Comment 9 Fedora Update System 2018-10-25 21:17:48 UTC
rclone-browser-1.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-41e0689cfb

Comment 10 Fedora Update System 2018-10-25 22:35:41 UTC
rclone-browser-1.2-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-743780f598

Comment 11 Fedora Update System 2018-10-31 18:48:51 UTC
rclone-browser-1.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-98377e2c58

Comment 12 Fedora Update System 2018-11-13 02:14:04 UTC
rclone-browser-1.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-11-13 02:20:15 UTC
rclone-browser-1.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-11-13 02:26:24 UTC
rclone-browser-1.2-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.